質問をすることでしか得られない、回答やアドバイスがある。

15分調べてもわからないことは、質問しよう!

ただいまの
回答率

87.93%

VirtualBox+Vagrant+centos7.0+python2.7.11を構築したい

解決済

回答 2

投稿

  • 評価
  • クリップ 0
  • VIEW 1,133

score 180

お世話になります。
MacでVirtualBox+Vagrant+centos7.0の環境はあります。
そこへPython2.7.11をいれてpythonの勉強ができるようにしたいです。(ドットインストールの動画はvagrantを介してやっています)。
pythonはWindowsで少し勉強済みです。
折角、vagrant,virtulBoxでcentosを入れてあるのでvagrantでPpythonの勉強ができればありがたいです。
インストール方法をお教えください。
VirtualBox(5.024)+Vagrant(1.84)MacはElcapitanです。
よろしくご指導ください

  • 気になる質問をクリップする

    クリップした質問は、後からいつでもマイページで確認できます。

    またクリップした質問に回答があった際、通知やメールを受け取ることができます。

    クリップを取り消します

  • 良い質問の評価を上げる

    以下のような質問は評価を上げましょう

    • 質問内容が明確
    • 自分も答えを知りたい
    • 質問者以外のユーザにも役立つ

    評価が高い質問は、TOPページの「注目」タブのフィードに表示されやすくなります。

    質問の評価を上げたことを取り消します

  • 評価を下げられる数の上限に達しました

    評価を下げることができません

    • 1日5回まで評価を下げられます
    • 1日に1ユーザに対して2回まで評価を下げられます

    質問の評価を下げる

    teratailでは下記のような質問を「具体的に困っていることがない質問」、「サイトポリシーに違反する質問」と定義し、推奨していません。

    • プログラミングに関係のない質問
    • やってほしいことだけを記載した丸投げの質問
    • 問題・課題が含まれていない質問
    • 意図的に内容が抹消された質問
    • 過去に投稿した質問と同じ内容の質問
    • 広告と受け取られるような投稿

    評価が下がると、TOPページの「アクティブ」「注目」タブのフィードに表示されにくくなります。

    質問の評価を下げたことを取り消します

    この機能は開放されていません

    評価を下げる条件を満たしてません

    評価を下げる理由を選択してください

    詳細な説明はこちら

    上記に当てはまらず、質問内容が明確になっていない質問には「情報の追加・修正依頼」機能からコメントをしてください。

    質問の評価を下げる機能の利用条件

    この機能を利用するためには、以下の事項を行う必要があります。

回答 2

checkベストアンサー

0

デフォルトでインストールされている2.7.5を残しつつ、好きなバージョン(2.7.11)で開発するとよいです。以下を参考に、CentOS7上でpyenvを使用する方法でやってみてください。

  • http://daichan.club/python/916
  • http://qiita.com/saitou1978/items/e82421e29e118bd397cc

投稿

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

  • 2016/08/19 16:44

    ありがとうございます。参考にさせていただいてやってみたいと思います。毎日が本当に勉強です。

    キャンセル

  • 2016/08/19 17:41

    ちなみに2系の最新は2.7.12がリリースされています。
    3系も出てるのでどちらを使うか悩みますね。
    僕はpythonを勉強しようしようと思って止まってます。笑
    頑張ってください。

    キャンセル

  • 2016/08/20 09:05

    おはようございます。Windowsでは両方入れています。2系は2.7.11、3系は3.5.1です。
    Macは2系のみ(Macの使い方がまだよく理解できていません)それでMacでもVagrantの中にデフォルトで入っている2.7.5ではなく2.7.11を入れてコマンドの勉強をしながらMacも勉強できればと思いました。ありがとうございました。

    キャンセル

0

centos7は確かデフォルトでpython2系入ってた気がしますが、ありませんか?

投稿

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

  • 2016/08/19 15:25

    ないようです。Firefoxからダウンロードしましたがインストールできないのはなぜですか?

    キャンセル

  • 2016/08/19 15:42

    すみませんPython2.7.5は入っていました。2.7.11は利用できないようです

    キャンセル

  • 2016/08/19 15:44

    仕方ないので2.7.5で勉強する❓2.7.11は入れられないのでしょうか?
    調べてみます

    キャンセル

15分調べてもわからないことは、teratailで質問しよう!

  • ただいまの回答率 87.93%
  • 質問をまとめることで、思考を整理して素早く解決
  • テンプレート機能で、簡単に質問をまとめられる

関連した質問

同じタグがついた質問を見る